Bug 902503 - Review Request: rubygem-httpclient - HTTP Client interface for ruby
Review Request: rubygem-httpclient - HTTP Client interface for ruby
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-21 14:36 EST by Troy Dawson
Modified: 2013-03-12 04:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 04:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-01-21 14:36:53 EST
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/rubygem-httpclient.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/rubygem-httpclient-2.3.2-2.fc18.src.rpm
Description: an interface to HTTP Client for the ruby language
Fedora Account System Username: tdawson maxamillion
Comment 1 Troy Dawson 2013-02-05 12:12:51 EST
RPMLINT Output:
rpmlint rubygem-httpclient-2.3.2-2.fc18.src.rpm rubygem-httpclient-2.3.2-2.fc18.noarch.rpm rubygem-httpclient-doc-2.3.2-2.fc18.noarch.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Michael Scherer 2013-02-05 14:40:21 EST
A few remark :
- %%doc %{gem_instdir}/README.txt

why a %% instead of % ?

- URL:            http://devcentral.f5.com/

The url seems wrong

- there is no license shipped

- Licensing is wrong :
# This program is copyrighted free software by NAKAMURA, Hiroshi.  You can
# redistribute it and/or modify it under the same terms of Ruby's license;
# either the dual license version in 2003, or any later version.


that's not GPLv2 ( and I think there is some license mixing )

- this is likely wrong
find %{buildroot}/%{gem_instdir} -type f -exec sed -r -e 's"^#!(.*)/usr/bin/env ruby"#!/usr/bin/ruby"' {} \;

as it print on stdout the fixed file, you may miss a -i ( see the build.log file )

- the gem ship its own CA store ( /usr/share/gems/gems/httpclient-2.3.2/lib/httpclient/cacert.p7s ). This may include outdated certificates ( as it get them from jdk, I would not bet on their security ), and i do not know how to check. And of course, it use it by default :)
Comment 3 Troy Dawson 2013-02-05 15:34:09 EST
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/rubygem-httpclient.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/rubygem-httpclient-2.3.2-3.fc18.src.rpm

- %%doc
-- typo - fixed

- URL
-- That's what spec originally had.  fixed

- License
-- Set to dual license Ruby + GPLv2
--- There was some code mixing but they got permission to License it all under the standard Ruby dual license.
"Some part of it is copyrighted by Maebashi-san who made and published
http-access/0.0.4.  http-access/0.0.4 did not include license notice but when
I asked Maebashi-san he agreed that I can redistribute it under the same terms
of Ruby.  Many thanks to Maebashi-san."

- Non-working find line
-- Another throwback from the original spec.  I'm glad it wasn't working because it was trying to change all the /usr/bin/env ruby to /usr/bin/ruby.  Not something I think you should do.
-- removed line

- CA
-- not sure what to do about it.
Comment 4 Guillermo Gómez 2013-02-10 07:53:06 EST
¿Progress? Im needing it for rubygem-rhc since it becames as dependency for latest version

# gem dependency rhc -r
Gem rhc-1.3.8
  activesupport (~> 3.0, development)
  archive-tar-minitar (>= 0)
  commander (>= 4.0)
  cucumber (>= 0, development)
  dnsruby (>= 0, development)
  fakefs (>= 0.4, development)
  highline (>= 1.5.1)
  httpclient (>= 2.2)                        <<<<<< HERE
  net-ssh (>= 2.0.11)
  open4 (>= 0)
  rake (<= 0.9.2.2, >= 0.8.7, development)
  rspec (~> 1.3, development)
  test-unit (>= 0)
  thor (>= 0, development)
  webmock (>= 1.6, development)
Comment 5 Michael Scherer 2013-02-23 06:59:56 EST
Well, ruby is under the following license :
License     : (Ruby or BSD) and Public Domain

So I do not see where does the GPL v2 come from, as http-access was first without license, then under ruby license ( ie, ruby or BSD ).
Comment 6 Michael Scherer 2013-02-23 07:01:09 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

[!]: License field in the package spec file matches the actual license.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/902503-rubygem-
     httpclient/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     httpclient-doc
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package contains Requires: ruby(abi).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Test suite of the library should be run.
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %{gem_spec}, %{gem_libdir},
     %exclude %{gem_cache}
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-httpclient-2.3.2-3.fc18.noarch.rpm
          rubygem-httpclient-doc-2.3.2-3.fc18.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-httpclient-doc rubygem-httpclient
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-httpclient-doc (rpmlib, GLIBC filtered):
    rubygem-httpclient

rubygem-httpclient (rpmlib, GLIBC filtered):
    /usr/bin/env
    ruby(abi)
    rubygems



Provides
--------
rubygem-httpclient-doc:
    rubygem-httpclient-doc

rubygem-httpclient:
    rubygem(httpclient)
    rubygem-httpclient



MD5-sum check
-------------
http://gems.rubyforge.org/gems/httpclient-2.3.2.gem :
  CHECKSUM(SHA256) this package     : 19cd40f1bcd41cc7155fa08289bd24c4f9465f5ac4ec0f3118eaf80948e62c74
  CHECKSUM(SHA256) upstream package : 19cd40f1bcd41cc7155fa08289bd24c4f9465f5ac4ec0f3118eaf80948e62c74


Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -b 902503
Comment 7 Troy Dawson 2013-02-27 11:56:19 EST
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/rubygem-httpclient.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/rubygem-httpclient-2.3.2-4.fc18.src.rpm

- License: I'm not sure where I got it from, but I could have sworn that GPL thing was the correct license for Ruby.  But you are right, and I changed it.  It is now  "(Ruby or BSD) and Public Domain", just like ruby.
Comment 8 Michael Scherer 2013-02-27 16:53:04 EST
So should be ok now
Comment 9 Troy Dawson 2013-02-27 19:22:27 EST
New Package SCM Request
=======================
Package Name: rubygem-httpclient
Short Description: HTTP Client interface for ruby
Owners: tdawson maxamillion
Branches: f17 f18 el6
InitialCC:
Comment 10 Gwyn Ciesla 2013-02-28 09:19:39 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-02-28 11:54:16 EST
rubygem-httpclient-2.3.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-httpclient-2.3.2-4.fc18
Comment 12 Fedora Update System 2013-03-02 15:17:16 EST
rubygem-httpclient-2.3.2-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2013-03-12 04:54:26 EDT
rubygem-httpclient-2.3.2-4.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.